Weekly Updates: December 20th, 2021
***********************************

Today was a reflective, visioning meeting. After discussing the status of Shibaku, we reviewed our accomplishments till now and our aims moving forward and any possible course corrections we would like to make. 

Happy holidays from the finance.vote team!